/* ============================================================
   header.css — компонент темы Kremlin Group
   ============================================================ */
.menu__body {
  display: flex;
  align-items: center;
  gap: 1.25rem
}

.menu__list {
  display: flex;
  align-items: center;
  -webkit-column-gap: 1.25rem;
  -moz-column-gap: 1.25rem;
  column-gap: 1.25rem;
  row-gap: .625rem
}

.menu__item {
  position: relative;
  line-height: 1.5;
  font-size: .875rem;
  text-transform: uppercase;
  letter-spacing: .0625rem
}

.menu__item::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  width: 0;
  height: .125rem;
  background-color: #fff;
  transition: width .3s ease-in-out;
  will-change: width
}

.menu__link {
	cursor:pointer;
  opacity: .7;
  font-weight: 600;
  color: #fff;
  -webkit-transform: translateY(0);
  transform: translateY(0);
  transition: opacity .3s ease-in-out,-webkit-transform .3s ease-in-out;
  transition: transform .3s ease-in-out,opacity .3s ease-in-out;
  transition: transform .3s ease-in-out,opacity .3s ease-in-out,-webkit-transform .3s ease-in-out;
  will-change: transform,opacity
}

.icon-menu {
  display: none
}

.header {
  position: fixed;
  width: 100%;
  left: 0;
  top: 0;
  z-index: 50;
  background: radial-gradient(circle at center, #A01818 0%, #780808 55%, #600000 100%);
  transition: all .3s ease
}

.header._header-scroll {
  top: 0;
  background-color: rgba(254,254,254,.6);
  backdrop-filter: blur(16px);
  box-shadow: 0 .25rem 1rem rgba(26,28,28,.06)
}

.header__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: .625rem;
  min-height: 7.8125rem;
  padding-top: .625rem;
  padding-bottom: .625rem;
  transition: min-height .3s ease
}

.header__logo {
  flex: 0 1 6.25rem;
  transition: flex-basis .3s ease
}

.header__logo img {
  max-width: 100%;
}

.header__auth {
  display: flex;
  gap: .625rem
}

.header-cars {
  position: relative
}

.header-cars__row {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  align-items: center;
  gap: .625rem;
  padding-top: 1.5625rem;
  padding-left: 1.5625rem
}

.header-cars__name {
  font-size: .6875rem;
  text-transform: uppercase;
  font-weight: 800;
  letter-spacing: .0625rem;
  padding-top: .375rem;
  padding-bottom: .375rem;
  padding-left: .75rem;
  padding-right: .75rem;
  background-color: #fff;
  line-height: 1.5;
  border-radius: 62.4375rem;
  overflow: hidden;
  color: #0073ab
}

.header-cars__image {
  position: relative;
  z-index: 0;
  aspect-ratio: 16/9;
  overflow: hidden
}

.header-cars__image img,
.header-cars__image video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -webkit-transform: scale(1.2);
  transform: scale(1.2);
  transition: -webkit-transform .6s ease-in-out;
  transition: transform .6s ease-in-out;
  transition: transform .6s ease-in-out,-webkit-transform .6s ease-in-out
}

._watcher-view .header-cars__image img,
._watcher-view .header-cars__image video {
  -webkit-transform: scale(1);
  transform: scale(1)
}

.header-cars__image::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,.3);
  z-index: 1
}

.header-oils {
  position: relative
}

.header-oils__row {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  align-items: center;
  gap: .625rem;
  padding-top: 1.5625rem;
  padding-left: 1.5625rem
}

.header-oils__name {
  font-size: .6875rem;
  text-transform: uppercase;
  font-weight: 800;
  letter-spacing: .0625rem;
  padding-top: .375rem;
  padding-bottom: .375rem;
  padding-left: .75rem;
  padding-right: .75rem;
  background-color: #d4af37;
  line-height: 1.5;
  border-radius: 62.4375rem;
  overflow: hidden
}

.header-oils__image {
  position: relative;
  z-index: 0;
  aspect-ratio: 16/9;
  overflow: hidden
}

.header-oils__image img,
.header-oils__image video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -webkit-transform: scale(1.2);
  transform: scale(1.2);
  transition: -webkit-transform .6s ease-in-out;
  transition: transform .6s ease-in-out;
  transition: transform .6s ease-in-out,-webkit-transform .6s ease-in-out
}

._watcher-view .header-oils__image img,
._watcher-view .header-oils__image video {
  -webkit-transform: scale(1);
  transform: scale(1)
}

.header-oils__image::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,.3);
  z-index: 1
}

@media (min-width:61.99875em) {
._header-scroll .header__container {
    min-height: 4.6875rem
  }
  ._header-scroll .header__logo {
    flex-basis: 4.6875rem
  }
}

@media (max-width:61.99875em) {
.menu__body {
    position: fixed;
    width: 100%;
    height: 100svh;
    left: -100%;
    top: 0;
    overflow: auto;
    padding: 6.25rem .9375rem 1.875rem .9375rem;
    transition: left .3s;
    flex-direction: column;
    align-items: flex-start;
    background-color: #fff;
    box-shadow: .25rem 0 1rem rgba(26,28,28,.06)
  }
  .menu__body::before {
    content: "";
    position: fixed;
    width: 60%;
    height: 6.25rem;
    left: -100%;
    top: 0;
    transition: left .3s;
    z-index: 2
  }
  .menu-open .menu__body {
    left: 0
  }
  .menu-open .menu__body::before {
    left: 0
  }
  .menu__list {
    padding-top: 1.5625rem;
    flex-direction: column;
    align-items: flex-start
  }
  .menu__item {
    font-size: 1.125rem
  }
  .menu__link {
    font-weight: 600
  }
  .icon-menu {
    display: block;
    position: relative;
    width: 1.875rem;
    height: 1.125rem;
    z-index: 5
  }
  .icon-menu span,
  .icon-menu::after,
  .icon-menu::before {
    content: "";
    transition: all .3s ease 0s;
    right: 0;
    position: absolute;
    width: 100%;
    height: .125rem;
    background-color: #000
  }
  .icon-menu::before {
    top: 0
  }
  .icon-menu::after {
    bottom: 0
  }
  .icon-menu span {
    top: calc(50% - .0625rem)
  }
  .menu-open .icon-menu span {
    width: 0
  }
  .menu-open .icon-menu::before {
    top: calc(50% - .0625rem);
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg)
  }
  .menu-open .icon-menu::after {
    bottom: calc(50% - .0625rem);
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg)
  }
  .header__container {
    gap: .9375rem;
    min-height: 3.125rem
  }
  .header__logo {
    z-index: 2;
    flex-basis: 4.6875rem
  }
  .header__auth {
    z-index: 2;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    margin-top: 1.25rem;
    gap: .75rem
  }
  .header__cta {
    z-index: 2;
    flex-grow: 1;
    display: flex;
    justify-content: flex-end
  }
}

@media (max-width:61.99875em)and (any-hover:none) {
.icon-menu {
    cursor: default
  }
}

@media (max-width:29.99875em) {
.header-cars__row {
    justify-content: center;
    padding-top: .9375rem;
    padding-left: 0
  }
  .header-cars__name {
    font-size: .625rem
  }
  .header-cars__image {
    aspect-ratio: 14/9
  }
  .header-oils__row {
    padding-top: .9375rem;
    padding-left: 0;
    flex-direction: column
  }
  .header-oils__name {
    font-size: .625rem
  }
  .header-oils__image {
    aspect-ratio: 14/9
  }
}

@media (any-hover:hover) {
.menu__item:hover::before {
    width: 100%
  }
  .menu__item:hover .menu__link {
    opacity: 1;
/*     color: #0073ab; */
    text-shadow: 0 0 0 currentColor;
    -webkit-transform: translateY(-.3125rem);
    transform: translateY(-.3125rem)
  }
}
